package org.project.item.weapons;

import org.project.Colors;
import org.project.entity.players.Assassin;

import java.util.Random;

public class AssassineWeapon extends Weapon{

    private int silenceChance;
    private int bleedChance;
    private int bleedDamage;
    private int bleedingRound;


    public AssassineWeapon() {
        super(45, 55);
//        this.silenceChance = 14;
        this.bleedChance = 30;
        this.bleedDamage = 10;
        this.bleedingRound = 1;
    }

    public Boolean bleed()
    {
        return new Random().nextInt(100) < bleedChance;
    }

    public int criticalHit()
    {

        return 3*super.getDamage();
    }

//    public Boolean silence()
//    {
//        return new Random().nextInt(100) < silenceChance;
//    }

    public int getBleedingRound() {
        return bleedingRound;
    }

    public void setBleedingRound(int bleedingRound) {
        this.bleedingRound = bleedingRound;
    }

    public int getBleedChance() {
        return bleedChance;
    }

    public void setBleedChance(int bleedChance) {
        this.bleedChance = bleedChance;
    }

    public int getBleedDamage() {
        return bleedDamage;
    }

    public void setBleedDamage(int bleedDamage) {
        this.bleedDamage = bleedDamage;
    }
//
//    public int getSilenceChance() {
//        return silenceChance;
//    }
//
//    public void setSilenceChance(int silenceChance) {
//        this.silenceChance = silenceChance;
//    }



    public  void manaGain(Assassin assassin, int amount)
    {
        System.out.printf("%d of damage gained as " + Colors.BLUE + "Mana.\n" + Colors.RESET, amount);
        assassin.fillMana(amount);
    }
}
